"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toSnakeCase = exports.fullTestProps = exports.testProp = void 0;

var _reactNative = require("react-native");

const testProp = id => {
  return process.env.NODE_ENV != "production" ? _reactNative.Platform.OS === "android" ? {
    accessibilityLabel: id
  } : {
    testID: id
  } : {};
};

exports.testProp = testProp;

const fullTestProps = id => {
  return process.env.NODE_ENV != "production" ? {
    accessibilityLabel: id,
    testID: id
  } : {};
};

exports.fullTestProps = fullTestProps;

const toSnakeCase = value => value ? String(value).toLowerCase().replace(/[\W_]+/g, "_") : "";

exports.toSnakeCase = toSnakeCase;
//# sourceMappingURL=UITestingHelper.js.map