import * as React from "react";
import DatePicker from "./DatePicker";
import Modal from "../Modal";
import { defaultProps } from "./utils/dataSource";

function EnhanceDatePicker({
  isOpen,
  ...props
}) {
  function onModalClose(event) {
    if (event.target === event.currentTarget) {
      props.onCancel();
    }
  }

  return /*#__PURE__*/React.createElement("div", {
    style: {
      display: isOpen ? "" : "none"
    },
    onClick: onModalClose,
    className: "datepicker-modal"
  }, /*#__PURE__*/React.createElement(DatePicker, props));
}

function ModalDatePicker({
  isPopup,
  ...props
}) {
  if (!isPopup) {
    return /*#__PURE__*/React.createElement(DatePicker, props);
  }

  return /*#__PURE__*/React.createElement(Modal, props, /*#__PURE__*/React.createElement(EnhanceDatePicker, null));
}

ModalDatePicker.displayName = "MobileDatePicker";
ModalDatePicker.defaultProps = defaultProps;
export default ModalDatePicker;
//# sourceMappingURL=index.js.map