import * as React from "react";
import { View } from "react-native";
import MultiPickerMixin from "./MultiPickerMixin";

const MultiPicker = props => {
  const {
    children,
    style
  } = props;
  const selectedValue = props.getValue();
  const colElements = React.Children.map(children, (col, i) => {
    return /*#__PURE__*/React.cloneElement(col, {
      selectedValue: selectedValue[i],
      onValueChange: (...args) => props.onValueChange(i, ...args)
    });
  });
  return /*#__PURE__*/React.createElement(View, {
    style: style
  }, colElements);
};

export default MultiPickerMixin(MultiPicker);
//# sourceMappingURL=MultiPicker.native.js.map