import * as React from "react";
import Drawer from "react-native-simple-elements/components/Drawer";
const defaultProps = {
  drawerPaddingTop: 0,
  showMask: true,
  animated: true
};

const SimpleDrawer = props => {
  const {
    items,
    onItemPress,
    drawerPaddingTop,
    showMask,
    animated,
    children
  } = props;

  const _handleItemPress = item => {
    if (typeof onItemPress === "function") {
      onItemPress(item);
    }
  };

  return /*#__PURE__*/React.createElement(Drawer, {
    drawerPaddingTop: drawerPaddingTop,
    showMask: showMask,
    animated: animated
  }, Array.isArray(items) && items.length > 0 && items.map((item, index) => {
    return /*#__PURE__*/React.createElement(Drawer.Item, {
      key: index,
      label: item.label,
      icon: item.icon,
      onPress: () => _handleItemPress(item)
    });
  }), children);
};

SimpleDrawer.defaultProps = defaultProps;
export default SimpleDrawer;
//# sourceMappingURL=SimpleDrawer.js.map